Subject: RE: bug#13634: 24.2; trailing whitespace in calendar (enhancement)

From: "Drew Adams" <[email-masked]>
Date: Wed, 6 Feb 2013 11:06:13 -0800

> >>> `show-trailing-whitespace' globally to t.
> >>
> >> So don't do that then. Set it locally in find-file-hook, 
> >> or unset it in a calendar hook.
> > 
> > I agree.  Using show-trailing-whitespace in calendar doesn't make
> > sense, since the buffer text there is generated by a program.
> 
> I agree that it doesn't make sense in principle, but it's 
> also annoying to have to add special hooks for special buffers
> and since the calendar is generated, why not fix it there?

Thank you.  That's the point.  Why inconvenience users unnecessarily?

Not adding (or removing if added) trailing whitespace is the kind of thing that
computers are good at.  And the kind of thing that users should not be bothered
with.

Pretty amazing that two of the main Emacs developers take the attitude that this
should be an individual user problem, not just a problem that the code should
simply obviate.

> For all files that I use in emacs setting show-trailing-whitespace
> globally makes sense (but that might just be me). The only buffer that
> shows extra white space in my setting is the calendar, so I thought I
> bring it up.

You did the right thing.  Too bad if your request falls on deaf ears.